2018-10-17 06:51 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005416GNUnetidentity servicepublic2018-08-06 16:07
Reporterschanzen 
Assigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target Version0.11.0Fixed in Version 
Summary0005416: Identity egos not case insensitive
DescriptionOur identity egos are now TLDs. DNS labels are cases insensitive: https://tools.ietf.org/html/rfc4343
This is not enforced.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0013181

schanzen (developer)

Changed to "feedback". I can implement this if you agree.

~0013182

Christian Grothoff (manager)

I agree, they should be made case-insensitive.

~0013187

schanzen (developer)

Fixed in 070a1c2e37fe8930bad59cbd06d6a0f55a8364f0
Input identifiers are now converted to lowercase similar to how gnsrecord implicitly and silently enforces lowercase
+Notes

-Issue History
Date Modified Username Field Change
2018-08-01 16:50 schanzen New Issue
2018-08-01 16:50 schanzen Status new => assigned
2018-08-01 16:50 schanzen Assigned To => Christian Grothoff
2018-08-06 14:39 schanzen Status assigned => feedback
2018-08-06 14:39 schanzen Note Added: 0013181
2018-08-06 15:20 Christian Grothoff Note Added: 0013182
2018-08-06 16:07 schanzen Status feedback => assigned
2018-08-06 16:07 schanzen Resolution open => fixed
2018-08-06 16:07 schanzen Note Added: 0013187
2018-08-06 16:07 schanzen Status assigned => resolved
+Issue History